收藏
回答

请问button组件从基础库哪个版本开始支持自定义宽高?

在做 wx.getUserInfoProfile 向下兼容时,发现基础库低版本上使用 button 组件的位置设置高度失效了,即使是给 button 设置内联样式都无效。而且为了不影响全局,不能删除 app.json 中的 style: v2,请问小程序从哪个基础库版本开始支持 button 自定义宽高的?

回答关注问题邀请回答
收藏

3 个回答

  • chh
    chh
    04-12

    button组件一直都支持自定义宽高,注意某些样式可能要使用!important才能覆盖原生样式。

    04-12
    有用 2
    回复
  • ᝰ ɀꫝꪮꪀᧁ ᵉⁿᵈ .
    ᝰ ɀꫝꪮꪀᧁ ᵉⁿᵈ .
    04-12

    button组件基础库1.0.0支持

    自定义的宽高一直都能自己设置。


    04-12
    有用 1
    回复
  • 阳阳阳
    阳阳阳
    04-12

    在开发者工具上找到问题了,基础库版本2.10.0及以下的 button 如果 size 使用的不是 mini,会有一个默认的 min-height: 40px。所以 height 是可以自定义的,只不过被 min-height 影响了。

    04-12
    有用
    回复
登录 后发表内容
问题标签